Qt 5.6 | Qt 3D | C++ Classes | QInputDeviceIntegration

Qt 5.6.3 Reference Documentation

# QInputDeviceIntegration Class

(Qt3DInput::QInputDeviceIntegration)

- List of all members, including inherited members

## Public Functions

virtual QAbstractPhysicalDevice * | createPhysicalDevice(const QString &name) = 0
void | initialize(Qt3DInput::QInputAspect *aspect)
virtual QVector<Qt3DCore::QAspectJobPtr> | jobsToExecute(qint64 time) = 0
virtual QAbstractPhysicalDeviceBackendNode * | physicalDevice(Qt3DCore::QNodeId id) const = 0
virtual QVector<Qt3DCore::QNodeId> | physicalDevices() const = 0

## Protected Functions

| QInputDeviceIntegration(QObject *parent = Q_NULLPTR)
| QInputDeviceIntegration(QInputDeviceIntegrationPrivate &dd, QObject *parent = Q_NULLPTR)
QInputAspect * | inputAspect() const
void | registerBackendType(const Qt3DCore::QBackendNodeFunctorPtr &functor)
void | registerBackendType(const QMetaObject &metaObject, const Qt3DCore::QBackendNodeFunctorPtr &functor)

## Member Function Documentation

### `[protected]` QInputDeviceIntegration::QInputDeviceIntegration(QObject *parent = Q_NULLPTR)

Default constructs an instance of QInputDeviceIntegration.

### `[protected]` QInputDeviceIntegration::QInputDeviceIntegration(QInputDeviceIntegrationPrivate &dd, QObject *parent = Q_NULLPTR)

Copy constructor.

### `[pure virtual]` QAbstractPhysicalDevice *QInputDeviceIntegration::createPhysicalDevice(const QString &name)

### void QInputDeviceIntegration::initialize(Qt3DInput::QInputAspect *aspect)

### `[protected]` QInputAspect *QInputDeviceIntegration::inputAspect() const

### `[pure virtual]` QVector<Qt3DCore::QAspectJobPtr> QInputDeviceIntegration::jobsToExecute(qint64 time)

### `[pure virtual]` QAbstractPhysicalDeviceBackendNode *QInputDeviceIntegration::physicalDevice(Qt3DCore::QNodeId id) const

### `[pure virtual]` QVector<Qt3DCore::QNodeId> QInputDeviceIntegration::physicalDevices() const

### `[protected]` void QInputDeviceIntegration::registerBackendType(const Qt3DCore::QBackendNodeFunctorPtr &functor)

### `[protected]` void QInputDeviceIntegration::registerBackendType(const QMetaObject &metaObject, const Qt3DCore::QBackendNodeFunctorPtr &functor)